<!--
{
  "availability" : [

  ],
  "documentType" : "symbol",
  "framework" : "apple-school-and-business-manager-api",
  "identifier" : "/documentation/AppleBusinessAPI/Get-All-Device-IDs-for-an-MdmServer",
  "metadataVersion" : "0.1.0",
  "role" : "Web Service Endpoint",
  "symbol" : {
    "kind" : "Web Service Endpoint",
    "modules" : [
      "Apple Business API"
    ],
    "preciseIdentifier" : "rest:AppleBusinessAPI:get:v1-mdmServers-{}-relationships-devices"
  },
  "title" : "Get the Device Serial Numbers for a Device Management Service"
}
-->

# Get the Device Serial Numbers for a Device Management Service

Get a list of device serial numbers assigned to a device management service.

## Overview

### Example

**Request:**

```
curl "https://api-business.apple.com/v1/mdmServers/{id}/relationships/devices" \
    -H "Authorization: Bearer ${ACCESS_TOKEN}"
```

**Response:**

```json
  {
    "data": [
      {
        "type": "orgDevices",
        "id": "XABC123X0ABC123X0"
      }
    ],
    "links": {
      "self": "https://api-business.apple/v1/mdmServers/1F97349736CF4614A94F624E705841AD/relationships/devices",
      "next": "https://api-business.apple/v1/mdmServers/1F97349736CF4614A94F624E705841AD/relationships/devices?cursor=MDowOjE3NDYxMTg0NjkzOTc6MTc0NjExODQ2OTM5Nzp0cnVlOmZhbHNlOjE3NDYxMTg0NjkzOTc",
      "related": "https://api-business.apple/v1/mdmServers/1F97349736CF4614A94F624E705841AD/devices"
    },
    "meta": {
      "paging": {
        "nextCursor": "MDowOjE3NDYxMTg0NjkzOTc6MTc0NjExODQ2OTM5Nzp0cnVlOmZhbHNlOjE3NDYxMTg0NjkzOTc",
        "limit": 100
      }
    }
  }
```

## Topics

### Responses

[`object MdmServerDevicesLinkagesResponse`](/documentation/AppleBusinessAPI/MdmServerDevicesLinkagesResponse)

The data and links that describe the relationship between the resources.



---

Copyright &copy; 2026 Apple Inc. All rights reserved. | [Terms of Use](https://www.apple.com/legal/internet-services/terms/site.html) | [Privacy Policy](https://www.apple.com/privacy/privacy-policy)